> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vehicle Specifications

> Obtain detailed specifications for a vehicle.

This endpoint allows you to retrieve more detailed specifications (if available) for a specific vehicle identified by its unique 'vehicle_id'.


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR



## OpenAPI

````yaml get /v1/vehicles/{vehicle_id}/specifications
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/vehicles/{vehicle_id}/specifications:
    get:
      tags:
        - Vehicles
      summary: Get Vehicle Specifications
      description: >-
        Obtain detailed specifications for a vehicle.


        This endpoint allows you to retrieve more detailed specifications (if
        available) for a specific vehicle identified by its unique 'vehicle_id'.



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - REQUEST_VALIDATION_ERROR

        - RESOURCE_NOT_FOUND

        - SERVER_ERROR
      operationId: get_vehicle_specifications_v1_vehicles__vehicle_id__specifications_get
      parameters:
        - name: vehicle_id
          in: path
          required: true
          schema:
            type: string
            title: Vehicle ID
            description: Unique internal identifier for the vehicle.
          description: Unique internal identifier for the vehicle.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleSpecifications'
      security:
        - OAuth2ClientCredentialsBearer:
            - vehicle:information
components:
  schemas:
    VehicleSpecifications:
      properties:
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        make:
          anyOf:
            - type: string
            - type: 'null'
          title: Make
        modelYear:
          anyOf:
            - type: integer
            - type: 'null'
          title: Modelyear
        batteryCapacity:
          anyOf:
            - type: number
            - type: 'null'
          title: Batterycapacity
        batteryCapacityNet:
          anyOf:
            - type: number
            - type: 'null'
          title: Batterycapacitynet
        standardEvr:
          anyOf:
            - type: string
            - type: 'null'
          title: Standardevr
        allElectricRange:
          anyOf:
            - type: string
            - type: 'null'
          title: Allelectricrange
        allElectricRangeMin:
          anyOf:
            - type: integer
            - type: 'null'
          title: Allelectricrangemin
      type: object
      title: VehicleSpecifications
      description: Vehicle specifications schema
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````